## kernel stuff

###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2006 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################
Source10: kmodtool2
%define kmodtool bash %{SOURCE10}
%{!?kversion: %define kversion 2.6.18-128.4.1.el5}
# hint: this can he overridden with "--define kversion foo" on the rpmbuild command line, e.g.
# --define "kversion 2.6.16-1.2096_FC5"

%define kmod_name wacom
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64 ia64
%define xenvar xen
#define kdumpvar kdump
%endif
%ifarch i686
%define PAEvar PAE
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?xenvar} %{?kdumpvar} %{?PAEvar}}
# hint: this can he overridden with "--define kvariant foo bar" on the rpmbuild command line, e.g.
# --define 'kvariant "" smp'

Name:           %{kmod_name}-kmod
Version:        0.7.8.3
Release:        0.1.%(echo %{kverrel} | tr - _)
Summary:        %{kmod_name} kernel modules

URL:		http://linuxwacom.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/linuxwacom/%{tarname}.tar.bz2
Group:          System Environment/Kernel
License:        GPL/X11

## /kernel stuff


%define _x11dir		/usr
%define _x11libdir	%{_x11dir}/%{_lib}
%define _x11sdkdir	%(pkg-config --variable=sdkdir xorg-server)
%define tarname		linuxwacom-0.7.8-3

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	kernel-devel, libX11-devel, libXi-devel, xorg-x11-server-sdk >= 1.0.99.901, ncurses-devel
Requires:	xorg-x11-server-Xorg >= 1.0.99.901, udev >= 030-21
ExclusiveArch:  i686 x86_64 alpha ia64 ppc sparc sparc64

%description 
The Linux Wacom Project manages the drivers, libraries, and
documentation for configuring and running Wacom tablets under the
Linux operating system. It contains diagnostic applications as well as
X.org XInput drivers.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
%setup -q -c -T -a 0 -n %{tarname}
pwd
ls -la
for kvariant in %{kvariants} ; do
	cp -a %{tarname} _kmod_build_${kvariant}
done



%build
for kvariant in %{kvariants}
do
	ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
	pushd _kmod_build_$kvariant
	%configure --with-kernel=${ksrc} --enable-wacom
	cd src;
	make
	popd
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
	pushd _kmod_build_$kvariant
	mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
	cp src/2.6.18/wacom.ko  $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
	popd
done
# Temporarily executable for stripping, fixed later in %%files.
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Apr 18 2008 Thomas Uphill <uphill@ias.edu> 0.7.8-3
- initial build, to replace module provided in kernel rpm.
